API Reference
Auto-generated
Usage Tags
API reference for usage tags endpoints.
Auto-generated
This page was generated from the OpenAPI spec. Run
make generate-docs to refresh after spec changes.GET /api/v1/usage-tags/{tag}/approval
GET
/api/v1/usage-tags/{tag}/approvalGet a request tag's approval threshold
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| tag | string | Required | tag |
| X-Organization-Id | string | Optional | X-Organization-Id |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/usage-tags/<tag>/approval \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"status": "ok"
}PUT /api/v1/usage-tags/{tag}/approval
PUT
/api/v1/usage-tags/{tag}/approvalSet a request tag's approval threshold
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| tag | string | Required | tag |
| X-Organization-Id | string | Optional | X-Organization-Id |
| approval_above_usd | number | Optional | approval_above_usd |
Request Example
Bash
curl -X PUT https://api.alterlab.io/api/v1/usage-tags/<tag>/approval \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"status": "ok"
}